#pragma once

namespace ReMixer {
    enum class StreamDirection {
        PLAYBACK,
        RECORD,
    };

    /// We do not plan to support specifications such as 7.1 Surround.
    /// 3D Positional Audio will be implemented later in software.
    enum class StreamMode : bool {
        MONO = false,
        STEREO = true
    };

    unsigned operator ""_Hz(unsigned long long int frequency);
    unsigned operator ""_kHz(long double frequency);

    class Stream;
    class SoundSubsystem;
    class PulseAudioSubsystem;
    class PulseStream;


    void Init();
    void Cleanup();
}

